<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::hash_similar_angles_512 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1hash__similar__angles__512.html">hash_similar_angles_512</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1hash__similar__angles__512-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::hash_similar_angles_512 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aa26706c06d0062ab784325485f1d390b"><td class="memItemLeft" align="right" valign="top"><a id="aa26706c06d0062ab784325485f1d390b"></a>
typedef hash_similar_angles_256::result_type&#160;</td><td class="memItemRight" valign="bottom"><b>hash256_type</b></td></tr>
<tr class="separator:aa26706c06d0062ab784325485f1d390b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35202e0b66644430052cf6db3b24441a"><td class="memItemLeft" align="right" valign="top"><a id="a35202e0b66644430052cf6db3b24441a"></a>
typedef std::pair&lt; hash256_type, hash256_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:a35202e0b66644430052cf6db3b24441a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a12815e334ab190e47aab3c25ad655468"><td class="memItemLeft" align="right" valign="top"><a id="a12815e334ab190e47aab3c25ad655468"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>hash_similar_angles_512</b> (const <a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> seed_)</td></tr>
<tr class="separator:a12815e334ab190e47aab3c25ad655468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0687b36a607fbb5a17b2b440559dcd63"><td class="memItemLeft" align="right" valign="top"><a id="a0687b36a607fbb5a17b2b440559dcd63"></a>
<a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_seed</b> () const</td></tr>
<tr class="separator:a0687b36a607fbb5a17b2b440559dcd63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd2b95c162f9412e0d1bc5c16b27298"><td class="memTemplParams" colspan="2"><a id="afcd2b95c162f9412e0d1bc5c16b27298"></a>
template&lt;typename vector_type &gt; </td></tr>
<tr class="memitem:afcd2b95c162f9412e0d1bc5c16b27298"><td class="memTemplItemLeft" align="right" valign="top">result_type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const vector_type &amp;v) const</td></tr>
<tr class="separator:afcd2b95c162f9412e0d1bc5c16b27298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66a2fbf47bdaea76bf64feb42b709710"><td class="memItemLeft" align="right" valign="top"><a id="a66a2fbf47bdaea76bf64feb42b709710"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>distance</b> (const result_type &amp;a, const result_type &amp;b) const</td></tr>
<tr class="separator:a66a2fbf47bdaea76bf64feb42b709710"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a41202a45b326a37138f690f4f1ee6214"><td class="memItemLeft" align="right" valign="top"><a id="a41202a45b326a37138f690f4f1ee6214"></a>
const <a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>seed</b></td></tr>
<tr class="separator:a41202a45b326a37138f690f4f1ee6214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedffda5d5dc38d1e772991658017ebfb"><td class="memItemLeft" align="right" valign="top"><a id="aedffda5d5dc38d1e772991658017ebfb"></a>
<a class="el" href="classdlib_1_1hash__similar__angles__256.html">hash_similar_angles_256</a>&#160;</td><td class="memItemRight" valign="bottom"><b>hasher1</b></td></tr>
<tr class="separator:aedffda5d5dc38d1e772991658017ebfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeade8f49521ddc493d9e53fd4f71e988"><td class="memItemLeft" align="right" valign="top"><a id="aeade8f49521ddc493d9e53fd4f71e988"></a>
<a class="el" href="classdlib_1_1hash__similar__angles__256.html">hash_similar_angles_256</a>&#160;</td><td class="memItemRight" valign="bottom"><b>hasher2</b></td></tr>
<tr class="separator:aeade8f49521ddc493d9e53fd4f71e988"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="hashes_8h_source.html">hashes.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
